package com.braintree.facade.impl;

import com.braintree.event.BraintreeLinkCustomerNotificationEvent;
import com.braintree.event.BraintreeUnlinkCustomerNotificationEvent;
import com.braintree.facade.BraintreeConnectWithPayPalNotificationFacade;
import de.hybris.platform.servicelayer.event.EventService;

public class DefaultBraintreeConnectWithPayPalNotificationFacade implements BraintreeConnectWithPayPalNotificationFacade {

    private EventService eventService;

    @Override
    public void sendLinkCustomerEmailNotification(String uid) {
        eventService.publishEvent(new BraintreeLinkCustomerNotificationEvent(uid));
    }

    @Override
    public void sendUnlinkCustomerEmailNotification(String uid) {
        eventService.publishEvent(new BraintreeUnlinkCustomerNotificationEvent(uid));
    }

    public void setEventService(EventService eventService) {
        this.eventService = eventService;
    }
}
